Debian Bug report logs - #474034
ITP: ipxe -- PXE network bootloader for x86 PCs

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jan Lübbe <jluebbe@debian.org>

Date: Wed, 2 Apr 2008 20:57:02 UTC

Owned by: syslinux@lists.debian-maintainers.org

Severity: wishlist

Fixed in version ipxe/1.0.0+git-1.293e34-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jan Lübbe <jluebbe@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Lübbe <jluebbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Wed, 02 Apr 2008 22:55:01 +0200
Package: wnpp
Severity: wishlist
Owner: "Jan Lübbe" <jluebbe@debian.org>


* Package name    : gpxe
  Version         : 0.9.3
  Upstream Author : Michael Brown <mbrown@fensystems.co.uk> and the
                    Etherboot Project
* URL             : http://www.etherboot.org
* License         : GPL
  Programming Lang: C
  Description     : PXE network bootloader for x86 PCs

gPXE provides a direct replacement for proprietary PXE ROMs, with many
extra features such as DNS, HTTP, iSCSI.
It can be stored in a number of places, including BIOS Flash, EPROMs,
floppy, CD, HD, or other bootable media.

gPXE evolved from Etherboot and is maintained by the Etherboot project.
It will supersede Etherboot eventually.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (300, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-x60s (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Franklin PIAT <fpiat@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. Full text and rfc822 format available.

Message #10 received at 474034@bugs.debian.org (full text, mbox):

From: Franklin PIAT <fpiat@bigfoot.com>
To: 474034@bugs.debian.org
Subject: Re: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Sun, 08 Jun 2008 12:10:41 +0200
Hello,

On Wed, 2008-04-02 at 22:55 +0200, Jan Lübbe wrote:
> * Package name    : gpxe
>   Description     : PXE network bootloader for x86 PCs
> 
> gPXE provides a direct replacement for proprietary PXE ROMs, 

Today, is a good day... Not only did I discovered that qemu is now
capable of netbooting, with NIC ROM.
But I was about to request qemu and etherboot maintainers to provide a
small package, which only provides the ROMs for qemu
(in /usr/share/qemu)... then I noticed that you maintain KVM and you ITP
gPXE.. great !

I wondered if I could help somehow.

Franklin





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Fri, 14 Nov 2008 22:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Fri, 14 Nov 2008 22:48:12 GMT) Full text and rfc822 format available.

Message #15 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 474034@bugs.debian.org, 474034-submitter@bugs.debian.org
Subject: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Fri, 14 Nov 2008 14:45:24 -0800
i'd be very interested in getting gpxe uploaded to debian and
co-maintenaning it, if help is desired.

i've built some packages of gpxe with only the iso, usb, dsk, lkrn and
pdsk images(some of the rom images failed to build):

  http://llama.freegeek.org/~vagrant/debian/UNRELEASED/

though those packages still need a proper debian/copyright.

live well,
  vagrant




Message sent on to Jan Lübbe <jluebbe@debian.org>:
Bug#474034. (Fri, 14 Nov 2008 22:48:16 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 19:06:06 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Mon, 02 Feb 2009 08:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Fri, 12 Jun 2009 13:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Fri, 12 Jun 2009 13:18:02 GMT) Full text and rfc822 format available.

Message #27 received at 474034@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 474034@bugs.debian.org
Subject: any progress?
Date: Fri, 12 Jun 2009 15:15:48 +0200
Hi Jan,
any progress in getting this uploaded? It seems somebody built
prelimenary packages already. The pxe-virtio would do great in kvm.
Cheers,
  -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Fri, 12 Jun 2009 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Fri, 12 Jun 2009 17:27:06 GMT) Full text and rfc822 format available.

Message #32 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: Guido Günther <agx@sigxcpu.org>, 474034@bugs.debian.org
Subject: Re: Bug#474034: any progress?
Date: Fri, 12 Jun 2009 10:13:56 -0700
On Fri, Jun 12, 2009 at 03:15:48PM +0200, Guido Günther wrote:
> any progress in getting this uploaded? It seems somebody built
> prelimenary packages already. The pxe-virtio would do great in kvm.

just the other day, i updated my packages built from current git, but for an
upload to Debian, they still need a real review to update debian/copyright,
which is actually the bulk of the work.

gpxe contains code for network drivers taken from kernel sources, some firmware
blobs, and around 1600 files to review for missing or unclear copyright/license
notices. i've been a bit overwhelmed to really tackle that single-handed.

they've recently added some code to display licenses, which should help, so
there's at least interest upstream in tracking down and clarifying licensing
issues.

live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Fri, 12 Jun 2009 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Fri, 12 Jun 2009 19:57:02 GMT) Full text and rfc822 format available.

Message #37 received at 474034@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Vagrant Cascadian <vagrant@freegeek.org>
Cc: 474034@bugs.debian.org
Subject: Re: Bug#474034: any progress?
Date: Fri, 12 Jun 2009 21:54:48 +0200
Hi Vagrant,
On Fri, Jun 12, 2009 at 10:13:56AM -0700, Vagrant Cascadian wrote:
> On Fri, Jun 12, 2009 at 03:15:48PM +0200, Guido Günther wrote:
> > any progress in getting this uploaded? It seems somebody built
> > prelimenary packages already. The pxe-virtio would do great in kvm.
> 
> just the other day, i updated my packages built from current git, but for an
Great!

> upload to Debian, they still need a real review to update debian/copyright,
> which is actually the bulk of the work.
> 
> gpxe contains code for network drivers taken from kernel sources, some firmware
> blobs, and around 1600 files to review for missing or unclear copyright/license
> notices. i've been a bit overwhelmed to really tackle that single-handed.
Would stripping down the upstream source to a minimal set of modules
help to get started (maybe the ones needed by qemu/kvm), then adding
more modules as they get reviewed?
Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Tue, 23 Jun 2009 18:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alkis Georgopoulos <alkisg@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Tue, 23 Jun 2009 18:00:03 GMT) Full text and rfc822 format available.

Message #42 received at 474034@bugs.debian.org (full text, mbox):

From: Alkis Georgopoulos <alkisg@gmail.com>
To: 474034@bugs.debian.org
Cc: Vagrant Cascadian <vagrant@freegeek.org>, 474034-submitter@bugs.debian.org
Subject: Re: Bug#474034: any progress?
Date: Tue, 23 Jun 2009 20:54:45 +0300
I've talked to #etherboot about this, and the devs there are interested
in helping to settle any licensing issues:

> Thanks for the Debian packaging thread [[link]]. I'd like to see gPXE
(lkrn, virtio rom, and iso) in Debian.
> I'm very confident any licensing questions can be addressed.
> gPXE is used commerically and has been packaged for Fedora.
> mcb30 has recently added explicit license overview support (they
mention it in the email thread). You can do make
bin/virtio-net.rom.licence to get a breakdown of the licensing
situation.
> If you contact them [[=the current thread]], perhaps they'd like to
join #etherboot or send a mail to the etherboot-developers mailing list.

I hope we can see gpxe in Debian soon; it's really valueable for
creating bootable media for LTSP clients.

Kind regards,
Alkis GEorgopoulos





Message sent on to Jan Lübbe <jluebbe@debian.org>:
Bug#474034. (Tue, 23 Jun 2009 18:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Fri, 14 Aug 2009 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Fri, 14 Aug 2009 13:09:05 GMT) Full text and rfc822 format available.

Message #50 received at 474034@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 474034@bugs.debian.org, 474034-submitter@bugs.debian.org, Vagrant Cascadian <vagrant@freegeek.org>
Subject: Re: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Fri, 14 Aug 2009 15:01:46 +0200
Hi,

what is the current status, and who is waiting on what to be
happening/doing/$whatever?

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Message sent on to Jan Lübbe <jluebbe@debian.org>:
Bug#474034. (Fri, 14 Aug 2009 13:09:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Fri, 14 Aug 2009 16:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Fri, 14 Aug 2009 16:24:02 GMT) Full text and rfc822 format available.

Message #58 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: Daniel Baumann <daniel@debian.org>
Cc: 474034@bugs.debian.org, 474034-submitter@bugs.debian.org
Subject: Re: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Fri, 14 Aug 2009 09:19:58 -0700
On Fri, Aug 14, 2009 at 03:01:46PM +0200, Daniel Baumann wrote:
> what is the current status, and who is waiting on what to be
> happening/doing/$whatever?

i've been tracking upstream, and been pondering taking over the ITP, though the
license review on it is still rather intimidatingly large in scope. there's
definitely interest from upstream to try and work out whatever licensing issues
may arise, but it's just a lot to review.

live well,
  vagrant




Message sent on to Jan Lübbe <jluebbe@debian.org>:
Bug#474034. (Fri, 14 Aug 2009 16:24:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Sat, 24 Oct 2009 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Miletich <thomas.miletich@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Sat, 24 Oct 2009 08:36:03 GMT) Full text and rfc822 format available.

Message #66 received at 474034@bugs.debian.org (full text, mbox):

From: Thomas Miletich <thomas.miletich@gmail.com>
To: Vagrant Cascadian <vagrant+gpxe@freegeek.org>
Cc: gpxe@etherboot.org, 474034@bugs.debian.org
Subject: Re: [gPXE] license review of gPXE for inclusion in Debian
Date: Sat, 24 Oct 2009 10:27:38 +0200
On Sat, Oct 24, 2009 at 8:11 AM, Vagrant Cascadian
<vagrant+gpxe@freegeek.org> wrote:
> i've been working on packaging gPXE for Debian, but in order to get proper
> inclusion, it needs an exhaustive license and copyright review.
>
> it seems like there's a mechanism for (i forget the exact syntax):
>
>  make -C src FOO.rom.licence
>
> but this has to be done for each and every rom separately, or is there a way to
> review the whole codebase with a single command? any other suggestions on how
> to work with gPXE developers on these issues?

I don't think there is a way to build a gPXE image that contains all
features at once(think of BIOS and EFI support at the same time).

> as an alternate auditing mechanism, i've used licensecheck (from the devscripts
> package in debian) and manually deleted the ones that seem mostly ok, to
> produces the attached list of files that need further review. licensecheck
> parses the contents of the files themselves, looking for known licensing and
> copyright patterns. licensecheck will likely come up with a little different
> set of issues than the make *.licence checks.

There is a FILE_LICENCE() macro at the top of every file in src/. You
can grep all files for FILE_LICENCE() and put the output into a file.
Remove all the known-good ones and see if something is left in the
list. The FILE_LICENCE macro is also the source of information for
'make bin/foo.rom.licence'.

Thomas




Added indication that bug 474034 blocks 552406 Request was from Vagrant Cascadian <vagrant@freegeek.org> to control@bugs.debian.org. (Mon, 26 Oct 2009 01:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Mon, 07 Dec 2009 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Mon, 07 Dec 2009 13:03:03 GMT) Full text and rfc822 format available.

Message #73 received at 474034@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 474034@bugs.debian.org
Cc: Vagrant Cascadian <vagrant@freegeek.org>, Otavio Salvador <otavio@debian.org>
Subject: Re: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Mon, 07 Dec 2009 13:57:02 +0100
Hi,

i've prepared an updated package based on the ones from vagrant, git is 
available here:

  git clone git://git.debian-maintainers.org/git/syslinux/gpxe.git

and .deb packages here:

  deb http://syslinux.debian-maintainers.org/ sid/snapshots main

Until an initial upload can happen, there needs to be debian/copyright 
fixed (which I'll do this friday afternoon), and a few cosmetical things 
should be fixed as well.

Once above is done, i'll write you again to ask for review and comments, 
and then it could be uploaded.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Tue, 08 Dec 2009 14:18:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Luebbe <jluebbe@lasnet.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Tue, 08 Dec 2009 14:18:14 GMT) Full text and rfc822 format available.

Message #78 received at 474034@bugs.debian.org (full text, mbox):

From: Jan Luebbe <jluebbe@lasnet.de>
To: daniel@debian.org, 474034@bugs.debian.org
Subject: Re: Bug#474034: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Tue, 08 Dec 2009 14:48:51 +0100
Thanks for taking this over, i've been overwhelmed with RL stuff for
some time. :/

We should consider adding a small package shipping just the ROMs needed
for qemu/kvm (which are currently pxe-ne2k_pci.bin, pxe-rtl8139.bin,
pxe-e1000.bin and pxe-pcnet.bin - 32kB each).

Best regards,

Jan





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Tue, 08 Dec 2009 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Tue, 08 Dec 2009 16:24:03 GMT) Full text and rfc822 format available.

Message #83 received at 474034@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jan Luebbe <jluebbe@lasnet.de>
Cc: 474034@bugs.debian.org
Subject: Re: Bug#474034: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Tue, 08 Dec 2009 17:21:11 +0100
Jan Luebbe wrote:
> We should consider adding a small package shipping just the ROMs needed
> for qemu/kvm (which are currently pxe-ne2k_pci.bin, pxe-rtl8139.bin,
> pxe-e1000.bin and pxe-pcnet.bin - 32kB each).

i'll have a look at some other worthwile build targets that i'll enable 
in the main binary package (gpxe), and split the others out for qemu/kvm 
into gpxe-qemu.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Wed, 09 Dec 2009 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Wed, 09 Dec 2009 22:54:03 GMT) Full text and rfc822 format available.

Message #88 received at 474034@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: daniel@debian.org
Cc: 474034@bugs.debian.org, Vagrant Cascadian <vagrant@freegeek.org>
Subject: Re: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Wed, 9 Dec 2009 20:52:43 -0200
Hello Daniel,

On Mon, Dec 7, 2009 at 10:57 AM, Daniel Baumann <daniel@debian.org> wrote:
> Once above is done, i'll write you again to ask for review and comments, and
> then it could be uploaded.

Thanks by looking into it; I'll be glad to verify the packages.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Thu, 17 Dec 2009 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Thu, 17 Dec 2009 20:54:03 GMT) Full text and rfc822 format available.

Message #93 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: daniel@debian.org, 474034@bugs.debian.org
Subject: Re: Bug#474034: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Thu, 17 Dec 2009 12:52:29 -0800
On Mon, Dec 07, 2009 at 01:57:02PM +0100, Daniel Baumann wrote:
> i've prepared an updated package based on the ones from vagrant, git is  
> available here:
>
>   git clone git://git.debian-maintainers.org/git/syslinux/gpxe.git

this repository seems to cause me troubles. i do a "git clone" on it, and then
a couple days later, run "git pull" and it generates merge conflicts.

i delete the entire directory, "git clone" again, and after a couple days "git
pull" generates merge conflicts.

the freshly cloned repository only ever seems to have a single commit, so i
don't understand where the merge conflicts are coming from.

i'm not real savvy with git, but i don't have this problem with other git
repositories i've been tracking and committing to.


> and .deb packages here:
>
>   deb http://syslinux.debian-maintainers.org/ sid/snapshots main

there don't appear to be packages there.


live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Fri, 18 Dec 2009 04:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Fri, 18 Dec 2009 04:51:02 GMT) Full text and rfc822 format available.

Message #98 received at 474034@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Vagrant Cascadian <vagrant@freegeek.org>
Cc: 474034@bugs.debian.org
Subject: Re: Bug#474034: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Fri, 18 Dec 2009 05:47:55 +0100
Vagrant Cascadian wrote:
> this repository seems to cause me troubles. i do a "git clone" on it, and then
> a couple days later, run "git pull" and it generates merge conflicts.

because it's not fast-forward until 0.9,9-1 is finished.

>>   deb http://syslinux.debian-maintainers.org/ sid/snapshots main
> 
> there don't appear to be packages there.

because there's a couple of changes i've not yet finished that let the 
package not build in the meanwhile.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Tue, 29 Dec 2009 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Tue, 29 Dec 2009 21:24:03 GMT) Full text and rfc822 format available.

Message #103 received at 474034@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: 552402@bugs.debian.org, 474034@bugs.debian.org, 552406@bugs.debian.org
Cc: Daniel Baumann <daniel@debian.org>, Jan Lübbe <jluebbe@debian.org>
Subject: xen-qemu-dm-3.4 will also need the uncompressed ROM
Date: Wed, 30 Dec 2009 05:22:08 +0800
Hi,

I just wanted to mention here that I'm trying to package
xen-qemu-dm-3.4, which will provide the Qemu device model for Xen, so
that Xen 3.4 can have full hardware virtualization support. Like KVM and
Qemu, my package need the PXE boot roms to be available as uncompressed
images as well, so I'm really looking forward in having the new gpxe
package uploaded.

The only issue that I see is that the ITP for the gpxe package is from
02 Apr 2008, and since, nothing is in the archive. If Jan Lübbe doesn't
want to do the needed package, then someone MUST take over this work,
and preferably quickly, as at least 3 packages are needing it. Maybe Jan
can tell a bit more about his ITP...

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>:
Bug#474034; Package wnpp. (Tue, 29 Dec 2009 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Jan Lübbe" <jluebbe@debian.org>. (Tue, 29 Dec 2009 21:45:06 GMT) Full text and rfc822 format available.

Message #108 received at 474034@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Thomas Goirand <thomas@goirand.fr>
Cc: 552402@bugs.debian.org, 474034@bugs.debian.org, 552406@bugs.debian.org, Jan Lübbe <jluebbe@debian.org>
Subject: Re: xen-qemu-dm-3.4 will also need the uncompressed ROM
Date: Tue, 29 Dec 2009 22:42:26 +0100
Thomas Goirand wrote:
> I just wanted to mention here that I'm trying to package
> xen-qemu-dm-3.4, which will provide the Qemu device model for Xen, so
> that Xen 3.4 can have full hardware virtualization support. Like KVM and
> Qemu, my package need the PXE boot roms to be available as uncompressed
> images as well, so I'm really looking forward in having the new gpxe
> package uploaded.

noted.

> The only issue that I see is that the ITP for the gpxe package is from
> 02 Apr 2008, and since, nothing is in the archive. If Jan Lübbe doesn't
> want to do the needed package, then someone MUST take over this work,
> and preferably quickly, as at least 3 packages are needing it. Maybe Jan
> can tell a bit more about his ITP...

as you can see at the bottom of the itp, the package is almost finished. 
i'll finish the remaining bits as one of the first things after my exams 
 at 2010-01-04.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Owner changed from "Jan Lübbe" <jluebbe@debian.org> to Debian Syslinux Maintainers. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 29 Dec 2009 21:45:14 GMT) Full text and rfc822 format available.

Owner changed from Debian Syslinux Maintainers to syslinux@lists.debian-maintainers.org. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 29 Dec 2009 21:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Sun, 28 Mar 2010 20:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Sun, 28 Mar 2010 20:03:02 GMT) Full text and rfc822 format available.

Message #117 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 474034@bugs.debian.org
Cc: daniel@debian.org, otavio@debian.org
Subject: Re: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Sun, 28 Mar 2010 13:01:51 -0700
i've been working on my own local copy of the git repository daniel posted, and
am currently updating the debian/copyright file as best i can and some other
minor fixes.

i don't have write access to the repositories at debian-maintainers.org, so i
can't push changes there, but i could publish changes somewhere else in the
meantime.

i think i can get this ready to upload in the first week of april.

live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Sun, 28 Mar 2010 21:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Sun, 28 Mar 2010 21:21:02 GMT) Full text and rfc822 format available.

Message #122 received at 474034@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Vagrant Cascadian <vagrant@freegeek.org>
Cc: 474034@bugs.debian.org, otavio@debian.org
Subject: Re: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Sun, 28 Mar 2010 23:18:08 +0200
On 03/28/2010 10:01 PM, Vagrant Cascadian wrote:
> i don't have write access to the repositories at debian-maintainers.org, so i
> can't push changes there, but i could publish changes somewhere else in the
> meantime.

i've imported your ssh key, you can push now.

> i think i can get this ready to upload in the first week of april.

awesome; thank you very much.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Thu, 01 Apr 2010 02:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Thu, 01 Apr 2010 02:51:02 GMT) Full text and rfc822 format available.

Message #127 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 474034@bugs.debian.org
Subject: Re: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Wed, 31 Mar 2010 19:48:39 -0700
well, i've updated debian/copyright as best i can, but the last few entries are
a bit dubious.

there are numerous files with no licensing claims other than upstreams headers:

  FILE_LICENCE( GPL2_OR_LATER );

there are some with no copyright holder.

there also numerous files with no licensing declarations whatsoever...

so i added:

 Files: ...
 Copyright: unknown
 License: FILE_LICENCE( GPL_ANY );

 ...

 Files: ...
 Copyright: unknown
 License: unknown

to at least document which need more work and clarification from upstream.

live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Wed, 14 Apr 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Wed, 14 Apr 2010 21:27:04 GMT) Full text and rfc822 format available.

Message #132 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: gpxe@etherboot.org
Cc: 474034@bugs.debian.org
Subject: gPXE license clarifications
Date: Wed, 14 Apr 2010 14:18:34 -0700
i have been working on documenting the copyright notices in gPXE in preparation
for an upload to Debian. oh, the fun! it may feel rather pedantic, so thanks in
advance for bearing with me...

there are numerous files which contain a FILE_LICENCE flag, but no other
licensing notices (or copyright notices, for that matter):

FILE_LICENCE ( BSD2 );
FILE_LICENCE ( GPL_ANY );
FILE_LICENCE ( GPL2_ONLY );
FILE_LICENCE ( GPL2_OR_LATER );

while this implies that they are released under a particular license, getting a
clarification from upstream about what exact licensing terms are meant by each
of these is needed for uploading to Debian.

for example, licensing text for a file licensed under GPL version 2 only might
look like:

  This program is free software; you can redistribute it and/or modify it
  under the terms and conditions of the GNU General Public License,
  version 2, as published by the Free Software Foundation.

if i could get clarification about licensing text for each of the above
FILE_LICENCE categories, that would be most helpful.  additionally, there are
some files distributed without any license text or FILE_LICENCE flags at all;
what license are these distributed under?

once that is resolved, i think it's ready for uploading to debian.

the largest categories appear to be GPL2_OR_LATER or files without any
licensing at all. following are lists of files under each of these categories:

Files: src/drivers/bus/mca.c, src/drivers/net/3c509.c, src/drivers/net/3c529.c,
 src/drivers/net/ns8390.h, src/include/gpxe/ib_cmrc.h,
 src/include/gpxe/ib_srp.h, src/include/gpxe/srp.h
Copyright: unknown
License: FILE_LICENCE ( BSD2 );

Files: src/include/mii.h, src/include/stddef.h, src/drivers/net/davicom.c,
 src/drivers/net/depca.c, src/drivers/net/natsemi.h, src/drivers/net/rtl8139.c,
 src/drivers/net/sis190.c, src/drivers/net/sis190.h, src/drivers/net/sis900.h
Copyright: unknown
License: FILE_LICENCE ( GPL_ANY );

Files: src/drivers/net/phantom/nxhal_nic_interface.h, src/drivers/net/skge.h,
 src/drivers/net/sky2.h, src/include/gpxe/list.h, src/include/gpxe/pci_ids.h
Copyright: unknown
License: FILE_LICENCE ( GPL2_ONLY );

Files: src/arch/i386/core/relocate.c, src/arch/i386/firmware/pcbios/gateA20.c,
 src/arch/i386/hci/commands/pxe_cmd.c, src/arch/i386/include/basemem.h,
 src/arch/i386/include/basemem_packet.h, src/arch/i386/include/bios.h,
 src/arch/i386/include/biosint.h, src/arch/i386/include/bits/byteswap.h,
 src/arch/i386/include/bits/compiler.h, src/arch/i386/include/bits/endian.h,
 src/arch/i386/include/bits/errfile.h, src/arch/i386/include/bits/io.h,
 src/arch/i386/include/bits/nap.h, src/arch/i386/include/bits/smbios.h,
 src/arch/i386/include/bits/stdint.h, src/arch/i386/include/bits/timer.h,
 src/arch/i386/include/bits/uaccess.h, src/arch/i386/include/bits/umalloc.h,
 src/arch/i386/include/bootsector.h, src/arch/i386/include/bzimage.h,
 src/arch/i386/include/comboot.h, src/arch/i386/include/fakee820.h,
 src/arch/i386/include/gpxe/abft.h, src/arch/i386/include/gpxe/bios_nap.h,
 src/arch/i386/include/gpxe/bios_smbios.h,
 src/arch/i386/include/gpxe/bios_timer.h,
 src/arch/i386/include/gpxe/memtop_umalloc.h,
 src/arch/i386/include/gpxe/rdtsc_timer.h, src/arch/i386/include/gpxe/timer2.h,
 src/arch/i386/include/gpxe/x86_io.h, src/arch/i386/include/int13.h,
 src/arch/i386/include/librm.h, src/arch/i386/include/limits.h,
 src/arch/i386/include/memsizes.h, src/arch/i386/include/multiboot.h,
 src/arch/i386/include/pic8259.h, src/arch/i386/include/pnpbios.h,
 src/arch/i386/include/pxe.h, src/arch/i386/include/pxe_call.h,
 src/arch/i386/include/pxe_types.h, src/arch/i386/include/pxeparent.h,
 src/arch/i386/include/realmode.h, src/arch/i386/include/registers.h,
 src/arch/i386/include/setjmp.h, src/arch/i386/include/undi.h,
 src/arch/i386/include/undiload.h, src/arch/i386/include/undinet.h,
 src/arch/i386/include/undipreload.h, src/arch/i386/include/undirom.h,
 src/arch/i386/interface/pcbios/aoeboot.c,
 src/arch/i386/interface/pcbios/bios_nap.c,
 src/arch/i386/interface/pcbios/biosint.c,
 src/arch/i386/interface/pcbios/ib_srpboot.c,
 src/arch/i386/interface/pcbios/iscsiboot.c,
 src/arch/i386/interface/syslinux/comboot_resolv.c,
 src/arch/i386/transitions/librm_mgmt.c, src/arch/x86/include/bits/pci_io.h,
 src/arch/x86/include/gpxe/efi/efix86_nap.h,
 src/arch/x86/include/gpxe/pcibios.h, src/arch/x86/include/gpxe/pcidirect.h,
 src/config/console.h, src/config/defaults.h, src/config/defaults/pcbios.h,
 src/config/general.h, src/config/ioapi.h, src/config/nap.h,
 src/config/serial.h, src/config/timer.h, src/config/umalloc.h,
 src/core/asprintf.c, src/core/bitops.c, src/core/console.c, src/core/main.c,
 src/core/misc.c, src/core/random.c, src/core/serial.c, src/drivers/bus/eisa.c,
 src/drivers/bus/isa.c, src/drivers/bus/pciextra.c,
 src/drivers/infiniband/arbel.h, src/drivers/infiniband/hermon.h,
 src/drivers/net/eepro100.h, src/drivers/net/epic100.c,
 src/drivers/net/epic100.h, src/drivers/net/legacy.c,
 src/drivers/net/pnic_api.h, src/drivers/net/rtl818x/rtl8180.c,
 src/drivers/net/rtl818x/rtl8185.c, src/hci/commands/autoboot_cmd.c,
 src/hci/commands/config_cmd.c, src/hci/commands/login_cmd.c,
 src/hci/commands/nvo_cmd.c, src/hci/commands/sanboot_cmd.c,
 src/hci/mucurses/ansi_screen.c, src/hci/mucurses/clear.c,
 src/hci/mucurses/colour.c, src/hci/mucurses/cursor.h,
 src/hci/mucurses/mucurses.c, src/hci/mucurses/mucurses.h,
 src/hci/mucurses/print.c, src/hci/mucurses/winattrs.c,
 src/hci/mucurses/wininit.c, src/hci/strerror.c, src/image/embedded.c,
 src/include/assert.h, src/include/byteswap.h, src/include/compiler.h,
 src/include/compiler.h, src/include/console.h, src/include/ctype.h,
 src/include/curses.h, src/include/elf.h, src/include/endian.h,
 src/include/errno.h, src/include/etherboot.h, src/include/getopt.h,
 src/include/gpxe/acpi.h, src/include/gpxe/aes.h, src/include/gpxe/ansiesc.h,
 src/include/gpxe/aoe.h, src/include/gpxe/api.h, src/include/gpxe/arc4.h,
 src/include/gpxe/arp.h, src/include/gpxe/asn1.h, src/include/gpxe/ata.h,
 src/include/gpxe/base64.h, src/include/gpxe/bitbash.h,
 src/include/gpxe/bitmap.h, src/include/gpxe/blockdev.h,
 src/include/gpxe/cbc.h, src/include/gpxe/chap.h, src/include/gpxe/command.h,
 src/include/gpxe/cpio.h, src/include/gpxe/crc32.h, src/include/gpxe/crypto.h,
 src/include/gpxe/device.h, src/include/gpxe/dhcp.h,
 src/include/gpxe/dhcpopts.h, src/include/gpxe/dhcppkt.h,
 src/include/gpxe/dns.h, src/include/gpxe/downloader.h,
 src/include/gpxe/editbox.h, src/include/gpxe/editstring.h,
 src/include/gpxe/eisa.h, src/include/gpxe/elf.h, src/include/gpxe/errfile.h,
 src/include/gpxe/errortab.h, src/include/gpxe/ethernet.h,
 src/include/gpxe/fakedhcp.h, src/include/gpxe/features.h,
 src/include/gpxe/filter.h, src/include/gpxe/ftp.h,
 src/include/gpxe/gdbserial.h, src/include/gpxe/gdbstub.h,
 src/include/gpxe/gdbudp.h, src/include/gpxe/hidemem.h,
 src/include/gpxe/hmac.h, src/include/gpxe/http.h, src/include/gpxe/i2c.h,
 src/include/gpxe/ib_cm.h, src/include/gpxe/ib_mad.h,
 src/include/gpxe/ib_mcast.h, src/include/gpxe/ib_mi.h,
 src/include/gpxe/ib_packet.h, src/include/gpxe/ib_pathrec.h,
 src/include/gpxe/ib_sma.h, src/include/gpxe/ib_smc.h, src/include/gpxe/icmp.h,
 src/include/gpxe/icmp6.h, src/include/gpxe/ieee80211.h,
 src/include/gpxe/if_arp.h, src/include/gpxe/if_ether.h,
 src/include/gpxe/image.h, src/include/gpxe/in.h,
 src/include/gpxe/infiniband.h, src/include/gpxe/init.h,
 src/include/gpxe/interface.h, src/include/gpxe/io.h, src/include/gpxe/iobuf.h,
 src/include/gpxe/ip.h, src/include/gpxe/ip6.h, src/include/gpxe/ipoib.h,
 src/include/gpxe/isa.h, src/include/gpxe/isa_ids.h, src/include/gpxe/iscsi.h,
 src/include/gpxe/job.h, src/include/gpxe/keys.h, src/include/gpxe/linebuf.h,
 src/include/gpxe/linux_compat.h, src/include/gpxe/login_ui.h,
 src/include/gpxe/malloc.h, src/include/gpxe/mca.h, src/include/gpxe/md5.h,
 src/include/gpxe/memmap.h, src/include/gpxe/monojob.h, src/include/gpxe/nap.h,
 src/include/gpxe/net80211.h, src/include/gpxe/netdevice.h,
 src/include/gpxe/null_nap.h, src/include/gpxe/nvo.h, src/include/gpxe/nvs.h,
 src/include/gpxe/open.h, src/include/gpxe/pci_io.h,
 src/include/gpxe/pcibackup.h, src/include/gpxe/posix_io.h,
 src/include/gpxe/process.h, src/include/gpxe/profile.h,
 src/include/gpxe/ramdisk.h, src/include/gpxe/rarp.h,
 src/include/gpxe/rc80211.h, src/include/gpxe/refcnt.h,
 src/include/gpxe/resolv.h, src/include/gpxe/retry.h,
 src/include/gpxe/rotate.h, src/include/gpxe/rsa.h, src/include/gpxe/sanboot.h,
 src/include/gpxe/scsi.h, src/include/gpxe/segment.h,
 src/include/gpxe/serial.h, src/include/gpxe/settings.h,
 src/include/gpxe/settings_ui.h, src/include/gpxe/sha1.h,
 src/include/gpxe/shell.h, src/include/gpxe/shell_banner.h,
 src/include/gpxe/smbios.h, src/include/gpxe/socket.h, src/include/gpxe/spi.h,
 src/include/gpxe/spi_bit.h, src/include/gpxe/tables.h, src/include/gpxe/tcp.h,
 src/include/gpxe/tcpip.h, src/include/gpxe/tftp.h,
 src/include/gpxe/threewire.h, src/include/gpxe/timer.h,
 src/include/gpxe/tls.h, src/include/gpxe/uaccess.h, src/include/gpxe/udp.h,
 src/include/gpxe/umalloc.h, src/include/gpxe/uri.h, src/include/gpxe/uuid.h,
 src/include/gpxe/vsprintf.h, src/include/gpxe/x509.h, src/include/gpxe/xfer.h,
 src/include/libgen.h, src/include/little_bswap.h,
 src/include/readline/readline.h, src/include/stdarg.h, src/include/stdint.h,
 src/include/stdio.h, src/include/stdlib.h, src/include/strings.h,
 src/include/unistd.h, src/include/usr/autoboot.h, src/include/usr/dhcpmgmt.h,
 src/include/usr/ifmgmt.h, src/include/usr/imgmgmt.h, src/include/usr/iwmgmt.h,
 src/include/usr/route.h, src/net/ipv4.c, src/net/tcp.c, src/net/tcpip.c,
 src/net/udp.c
Copyright: unknown
License: FILE_LICENCE ( GPL2_OR_LATER );

Files: src/arch/i386/core/aout_loader.c src/arch/i386/core/cpu.c,
 src/arch/i386/core/dumpregs.c, src/arch/i386/core/freebsd_loader.c,
 src/arch/i386/core/nulltrap.c, src/arch/i386/core/video_subr.c,
 src/arch/i386/core/wince_loader.c, src/arch/i386/image/nbi.c,
 src/arch/i386/include/bios_disks.h, src/arch/i386/include/bits/cpu.h,
 src/arch/i386/include/bits/eltorito.h, src/arch/i386/include/bochs.h,
 src/arch/i386/include/gateA20.h, src/arch/i386/include/gdbmach.h,
 src/arch/i386/include/kir.h, src/arch/i386/include/libkir.h,
 src/arch/i386/include/vga.h, src/arch/i386/interface/pcbios/keepsan.c,
 src/arch/i386/interface/pxe/pxe_errors.c,
 src/arch/x86_64/include/bits/byteswap.h,
 src/arch/x86_64/include/bits/compiler.h,
 src/arch/x86_64/include/bits/endian.h, src/arch/x86_64/include/bits/errfile.h,
 src/arch/x86_64/include/bits/io.h, src/arch/x86_64/include/bits/nap.h,
 src/arch/x86_64/include/bits/smbios.h, src/arch/x86_64/include/bits/stdint.h,
 src/arch/x86_64/include/bits/timer.h, src/arch/x86_64/include/bits/uaccess.h,
 src/arch/x86_64/include/bits/umalloc.h, src/arch/x86_64/include/gdbmach.h,
 src/arch/x86_64/include/limits.h, src/config/defaults/efi.h, src/config/isa.h,
 src/core/btext.c, src/core/debug.c, src/core/errno.c, src/core/hw.c,
 src/core/i82365.c, src/core/null_nap.c, src/core/pc_kbd.c, src/core/pcmcia.c,
 src/core/proto_eth_slow.c, src/core/serial_console.c,
 src/crypto/axtls/os_port.h, src/crypto/axtls_sha1.c,
 src/drivers/bus/isa_ids.c, src/drivers/bus/virtio-pci.c,
 src/drivers/bus/virtio-ring.c, src/drivers/net/3c503.c,
 src/drivers/net/3c509-eisa.c, src/drivers/net/ne.c,
 src/drivers/net/via-rhine.c, src/drivers/net/virtio-net.h,
 src/drivers/net/wd.c, src/hci/mucurses/alert.c, src/hci/mucurses/edging.c,
 src/hci/mucurses/kb.c, src/hci/mucurses/print_nadv.c, src/hci/mucurses/slk.c,
 src/hci/mucurses/windows.c, src/include/alloca.h, src/include/big_bswap.h,
 src/include/bootp.h, src/include/btext.h, src/include/cmdline.h,
 src/include/cmdlinelib.h, src/include/cmdlist.h, src/include/coff.h,
 src/include/cpu.h, src/include/fs.h, src/include/gpxe/ndp.h,
 src/include/gpxe/virtio-pci.h, src/include/gpxe/virtio-ring.h,
 src/include/old_tcp.h, src/include/pc_kbd.h, src/include/pcmcia-opts.h,
 src/include/pcmcia.h, src/include/sys/time.h, src/include/sys_info.h,
 src/include/time.h, src/libgcc/__divdi3.c, src/libgcc/__moddi3.c,
 src/libgcc/__udivdi3.c, src/libgcc/__udivmoddi4.c, src/libgcc/__umoddi3.c,
 src/libgcc/icc.c, src/libgcc/libgcc.h, src/libgcc/memcpy.c, src/net/icmpv6.c,
 src/net/ipv6.c, src/net/mii.c, src/net/ndp.c, src/net/tcp/ftp.c,
 src/tests/linebuf_test.c, src/tests/memcpy_test.c, src/tests/umalloc_test.c,
 src/tests/uri_test.c, src/util/catrom.pl, src/util/diffsize.pl,
 src/util/hijack.c, src/util/iccfix.c, src/util/makerom.pl, src/util/modrom.pl,
 src/util/mucurses_test.c, src/util/padimg.pl, src/util/parserom.pl,
 src/util/sortobjdump.pl, src/util/swapdevids.pl, src/util/symcheck.pl,
 src/util/zbin.c
Copyright: unknown
License: unknown


live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Thu, 15 Apr 2010 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Miller, Shao" <Shao.Miller@yrdsb.edu.on.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Thu, 15 Apr 2010 19:36:03 GMT) Full text and rfc822 format available.

Message #137 received at 474034@bugs.debian.org (full text, mbox):

From: "Miller, Shao" <Shao.Miller@yrdsb.edu.on.ca>
To: "Vagrant Cascadian" <vagrant@freegeek.org>
Cc: <474034@bugs.debian.org>, <gpxe@etherboot.org>
Subject: RE: [gPXE] gPXE license clarifications
Date: Thu, 15 Apr 2010 14:38:20 -0400
Good day Vagrant,

I sent these out:

http://etherboot.org/pipermail/gpxe-devel/2010-March/000086.html
http://etherboot.org/pipermail/gpxe-devel/2010-March/000085.html

and received zero responses.  I'm not sure why.  I'm not sure why
they've not been committed.  I'm not sure if it helps you out.  It would
be nice to see your Debian efforts come to fruition.

- Shao Miller




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Thu, 15 Apr 2010 20:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marty Connor <mdc@etherboot.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Thu, 15 Apr 2010 20:30:07 GMT) Full text and rfc822 format available.

Message #142 received at 474034@bugs.debian.org (full text, mbox):

From: Marty Connor <mdc@etherboot.org>
To: "Miller, Shao" <Shao.Miller@yrdsb.edu.on.ca>
Cc: Vagrant Cascadian <vagrant@freegeek.org>, 474034@bugs.debian.org, gpxe@etherboot.org
Subject: Re: [gPXE] gPXE license clarifications
Date: Thu, 15 Apr 2010 12:28:00 -0700
Shao,

I very much appreciate your work on the file licensing issue.

Your changes have not been committed because we have been busy with 
evaluating students for Google Summer of Code and various other issues 
that have occupied us in the last month.

Once we have our students for GSoC selected (should be less than 2 weeks 
now) we will start evaluating and applying patches for gPXE 1.0.1 as we 
did not long ago for gPXE 1.0.0.

I know you have a number of very interesting patches in the queue, and 
we look forward to discussing them and hopefully getting them in the 
main release repository.

You messages from last month have not been forgotten, and I am sure 
there is a support issue on http://support.etherboot.org/ that will make 
sure we don't forget them.

Thanks a lot for keeping an eye on the patch queue!  It's an important 
function, and I assure you that when we get past GSoC selection we will 
once more be committing.

With thanks,

/ Marty /

Miller, Shao wrote on 4/15/10 11:38 AM:
> Good day Vagrant,
>
> I sent these out:
>
> http://etherboot.org/pipermail/gpxe-devel/2010-March/000086.html
> http://etherboot.org/pipermail/gpxe-devel/2010-March/000085.html
>
> and received zero responses.  I'm not sure why.  I'm not sure why
> they've not been committed.  I'm not sure if it helps you out.  It would
> be nice to see your Debian efforts come to fruition.
>
> - Shao Miller
> _______________________________________________
> gPXE mailing list
> gPXE@etherboot.org
> http://etherboot.org/mailman/listinfo/gpxe





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Sat, 03 Jul 2010 00:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Sat, 03 Jul 2010 00:21:06 GMT) Full text and rfc822 format available.

Message #147 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 474034@bugs.debian.org
Subject: gPXE license clarifications
Date: Fri, 2 Jul 2010 17:13:35 -0700
filed a ticket in gPXE's issue tracker:

http://support.etherboot.org/index.php?do=details&task_id=97

live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Fri, 06 Aug 2010 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Fri, 06 Aug 2010 15:27:03 GMT) Full text and rfc822 format available.

Message #152 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 474034@bugs.debian.org
Subject: ITP: gpxe -- PXE network bootloader for x86 PCs
Date: Fri, 6 Aug 2010 08:25:51 -0700
daniel and i talked about trying to upload a stripped down upload that at least
supports the NICs used by qemu/qemu-kvm, in order to simplify the licensing
issues.

this is getting more important, as newer versions of qemu don't seem to work
well with etherboot.

live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Fri, 03 Dec 2010 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Fri, 03 Dec 2010 18:03:03 GMT) Full text and rfc822 format available.

Message #157 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 474034@bugs.debian.org
Subject: gPXE fork called iPXE
Date: Fri, 3 Dec 2010 09:59:34 -0800
seems like iPXE (ipxe.org) forked from gPXE and gPXE seems to have since
stalled development.

perhaps the iPXE developers will be more amenable to getting license
clarifications?

live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Fri, 03 Dec 2010 22:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Fri, 03 Dec 2010 22:45:07 GMT) Full text and rfc822 format available.

Message #162 received at 474034@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: ipxe-devel@lists.ipxe.org
Cc: 474034@bugs.debian.org
Subject: license clarifications for inclusion in Debian
Date: Fri, 3 Dec 2010 14:40:38 -0800
greetings!

i've been trying to get some license clarifications about gPXE, but haven't
recieved much response:

  http://etherboot.org/pipermail/gpxe/2009-October/000002.html
  http://etherboot.org/pipermail/gpxe/2010-April/000884.html

i understand that iPXE is essentially a fork of the gPXE codebase, and iPXE
could likely be a viable alternative for Debian to consider.

i know this isn't exactly the most fun or exciting part of developing an
excellent free software project...

even though i can get licensing information for various generated roms
individually (using "make bin/foo.rom"), in order to include it in Debian,
we'll need to get licensing information from the source itself.

given that there are various FILE_LICENCE markers in most of the files, if i
could get clarification from upstream about what license text actually applies
to files marked with FILE_LICENCE, it would make great strides towards being
able to include it as part of Debian.

for example, a potential clarification could be:

files containing the text "FILE_LICENCE ( GPL2_ONLY );" are licensed under the
following terms:

  This program is free software; you can redistribute it and/or modify it
  under the terms and conditions of the GNU General Public License,
  version 2, as published by the Free Software Foundation.

as well as licensing text for each of: GPL_ANY, GPL_2_OR_LATER, and BSD2.

including such information in the COPYRIGHTS file would be ideal (though
technically copyrights and licensing are two different things).


additionally, is there a plan to make a release of iPXE?

thanks for your time!


live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Fri, 03 Dec 2010 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Brown <mbrown@fensystems.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Fri, 03 Dec 2010 23:45:03 GMT) Full text and rfc822 format available.

Message #167 received at 474034@bugs.debian.org (full text, mbox):

From: Michael Brown <mbrown@fensystems.co.uk>
To: ipxe-devel@lists.ipxe.org
Cc: Vagrant Cascadian <vagrant@freegeek.org>, 474034@bugs.debian.org
Subject: Re: [ipxe-devel] license clarifications for inclusion in Debian
Date: Fri, 3 Dec 2010 23:43:09 +0000
On Friday 03 Dec 2010 22:40:38 Vagrant Cascadian wrote:
> given that there are various FILE_LICENCE markers in most of the files, if
>  i could get clarification from upstream about what license text actually
>  applies to files marked with FILE_LICENCE, it would make great strides
>  towards being able to include it as part of Debian.

These descriptions can be found in include/compiler.h.  For example:

/** Declare a file as being under the one-clause MIT-style licence
 *
 * This licence declaration is applicable when a file states itself to
 * be licensed under terms allowing redistribution for any purpose
 * with or without fee, provided that the copyright notice and
 * permission notice appear in all copies.
 */
#define FILE_LICENCE_MIT \
        PROVIDE_SYMBOL ( __licence_mit )

Please let me know if these descriptions are not sufficient for Debian's needs.

I've merged, with minor changes, the two commits from Shao Miller referenced 
in the thread that you linked to, adding missing FILE_LICENCE declarations to 
several files.

I'm happy to accept further patches that add missing FILE_LICENCE 
declarations, update FSF addresses in copyright headers, add missing copyright 
attributions, etc.

> additionally, is there a plan to make a release of iPXE?

Yes.  Details to be determined.  Please let me know if there are particular 
cut-off dates that would affect Debian inclusion.

Michael




Added indication that bug 474034 blocks 607417 Request was from "Didier 'OdyX' Raboud" <didier@raboud.com> to control@bugs.debian.org. (Tue, 21 Dec 2010 12:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, syslinux@lists.debian-maintainers.org:
Bug#474034; Package wnpp. (Mon, 03 Jan 2011 11:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, syslinux@lists.debian-maintainers.org. (Mon, 03 Jan 2011 11:06:09 GMT) Full text and rfc822 format available.

Message #174 received at 474034@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 608746-done@bugs.debian.org
Cc: 474034@bugs.debian.org, 608746-submitter@bugs.debian.org
Subject: Re: Bug#608746: etherboot: switch to ipxe?
Date: Mon, 03 Jan 2011 12:02:11 +0100
retitle 474034 ITP: ipxe -- PXE network bootloader for x86 PCs
thanks

On 01/03/2011 11:51 AM, Michael Prokop wrote:
> Are there any plans to switch to the ipxe codebase or will the
> etherboot Debian package stay based on the etherboot/gpxe code for
> the foreseeable future (so people might consider packaging ipxe
> independent from the etherboot package)?

ipxe is packaged seperately, replacing etherboot for wheezy, see #474034
for progress. now that new processing seems working again, i'll catch up
with it after my vac.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Changed Bug title to 'ITP: ipxe -- PXE network bootloader for x86 PCs' from 'ITP: gpxe -- PXE network bootloader for x86 PCs' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 03 Jan 2011 11:06:13 GMT) Full text and rfc822 format available.

Added indication that bug 474034 blocks 612775 Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 30 Mar 2011 10:57:10 GMT) Full text and rfc822 format available.

Added indication that bug 474034 blocks 585170 Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 30 Mar 2011 10:57:13 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Mon, 11 Apr 2011 19:19:07 GMT) Full text and rfc822 format available.

Notification sent to Jan Lübbe <jluebbe@debian.org>:
Bug acknowledged by developer. (Mon, 11 Apr 2011 19:19:08 GMT) Full text and rfc822 format available.

Message #185 received at 474034-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 474034-close@bugs.debian.org
Subject: Bug#474034: fixed in ipxe 1.0.0+git-1.293e34-1
Date: Mon, 11 Apr 2011 19:17:11 +0000
Source: ipxe
Source-Version: 1.0.0+git-1.293e34-1

We believe that the bug you reported is fixed in the latest version of
ipxe, which is due to be installed in the Debian FTP archive:

ipxe_1.0.0+git-1.293e34-1.debian.tar.gz
  to main/i/ipxe/ipxe_1.0.0+git-1.293e34-1.debian.tar.gz
ipxe_1.0.0+git-1.293e34-1.dsc
  to main/i/ipxe/ipxe_1.0.0+git-1.293e34-1.dsc
ipxe_1.0.0+git-1.293e34-1_all.deb
  to main/i/ipxe/ipxe_1.0.0+git-1.293e34-1_all.deb
ipxe_1.0.0+git-1.293e34.orig.tar.gz
  to main/i/ipxe/ipxe_1.0.0+git-1.293e34.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474034@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated ipxe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 03 Apr 2011 11:32:56 +0200
Source: ipxe
Binary: ipxe
Architecture: source all
Version: 1.0.0+git-1.293e34-1
Distribution: unstable
Urgency: low
Maintainer: Bastian Blank <waldi@debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 ipxe       - PXE boot firmware
Closes: 474034
Changes: 
 ipxe (1.0.0+git-1.293e34-1) unstable; urgency=low
 .
   * Initial release (closes: #474034)
   * Remove drivers with binary-only firmware:
     - Remove bnx2 driver.
     - Remove linda infiniband driver.
Checksums-Sha1: 
 50675133575bc919d2107fe8439fea79b8c7e506 1093 ipxe_1.0.0+git-1.293e34-1.dsc
 d6df28e5d66830fa98b4eda5fa9420b49eccd296 2442930 ipxe_1.0.0+git-1.293e34.orig.tar.gz
 c3659790a75075d40b9373d8df88c85ff4899c8d 3396 ipxe_1.0.0+git-1.293e34-1.debian.tar.gz
 0667c38aca1ae11f3c7ab450ff815facc11c575c 4772306 ipxe_1.0.0+git-1.293e34-1_all.deb
Checksums-Sha256: 
 280e376c0d9feb75afe5d47519676a97574b139f9bf0157e8934e6476209c0e4 1093 ipxe_1.0.0+git-1.293e34-1.dsc
 8e84dc805913a920b0d204899422d1a0857a9efa69259e426a6260b48b7e2956 2442930 ipxe_1.0.0+git-1.293e34.orig.tar.gz
 dde03b076952b95ea1cc4c8b47dbd0b39c10172e2e1ca7ae93b6567a7e3a5a01 3396 ipxe_1.0.0+git-1.293e34-1.debian.tar.gz
 ff5a9d013ffc5bddf51c1c8ec8030c278e15e5e21ec19c94a3a19c022509845c 4772306 ipxe_1.0.0+git-1.293e34-1_all.deb
Files: 
 06c76ab97fcd8bdbca444206f8f35bf6 1093 admin optional ipxe_1.0.0+git-1.293e34-1.dsc
 49585dbd9c8955db96418ad4bc753cf7 2442930 admin optional ipxe_1.0.0+git-1.293e34.orig.tar.gz
 a7ce12aca02714f799b0ed62f6e865ed 3396 admin optional ipxe_1.0.0+git-1.293e34-1.debian.tar.gz
 cccfde892e149bbac893c019dc667d66 4772306 admin optional ipxe_1.0.0+git-1.293e34-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2YQM0ACgkQLkAIIn9ODhE5AQCgk4BaGBnBDHHq63fptn7yES+R
5TYAoNS6VPKiK7p7/wHqfo/mpDrFqhLD
=Vf28
-----END PGP SIGNATURE-----





Removed indication that bug 474034 blocks 585170 Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 04 May 2011 10:36:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Jun 2011 07:31:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:20:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.